
shader = love.graphics.newShader( require 'tri' )

function love.load()
	wd, ht = 800, 600
	love.window.setMode( wd, ht, {} )
	love.mouse.setVisible( false )
	gt = 0
	love.window.setTitle( 'Tri' )
	screen = { wd, ht}
	love.mouse.setPosition( wd/2, ht/2 )
	shader:send( 'screen', screen )
	end

function love.update( dt )
	gt = gt + dt
	shader:send( 'time', gt )
	end

function love.draw()
	love.graphics.setColor(255,255,255,255)
	love.graphics.setShader( shader )
	love.graphics.rectangle( "fill", 0, 0, wd, ht )
	love.graphics.setShader()

	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.print( 'fps: '..love.timer.getFPS(), 0, 0 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
